1.0.2 API documentation: GLM_GTX_associated_min_max

| 1.0.2 API documentation

Functions
GLM_GTX_associated_min_max
Experimental extensions

Min and max functions that return associated values not the compared ones. More...

## Functions
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMax (T x, U a, T y, U b)
| Maximum comparison between 2 variables and returns 2 associated variable values. More...
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMax (T x, U a, T y, U b, T z, U c)
| Maximum comparison between 3 variables and returns 3 associated variable values. More...
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMax (T x, U a, T y, U b, T z, U c, T w, U d)
| Maximum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | associatedMax (T x, vec< L, U, Q > const &a, T y, vec< L, U, Q > const &b)
| Maximum comparison between 2 variables and returns 2 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | associatedMax (T x, vec< L, U, Q > const &a, T y, vec< L, U, Q > const &b, T z, vec< L, U, Q > const &c)
| Maximum comparison between 3 variables and returns 3 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (T x, vec< L, U, Q > const &a, T y, vec< L, U, Q > const &b, T z, vec< L, U, Q > const &c, T w, vec< L, U, Q > const &d)
| Maximum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (vec< L, T, Q > const &x, U a, vec< L, T, Q > const &y, U b)
| Maximum comparison between 2 variables and returns 2 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (vec< L, T, Q > const &x, U a, vec< L, T, Q > const &y, U b, vec< L, T, Q > const &z, U c)
| Maximum comparison between 3 variables and returns 3 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (vec< L, T, Q > const &x, U a, vec< L, T, Q > const &y, U b, vec< L, T, Q > const &z, U c, vec< L, T, Q > const &w, U d)
| Maximum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (vec< L, T, Q > const &x, vec< L, U, Q > const &a, vec< L, T, Q > const &y, vec< L, U, Q > const &b)
| Maximum comparison between 2 variables and returns 2 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (vec< L, T, Q > const &x, vec< L, U, Q > const &a, vec< L, T, Q > const &y, vec< L, U, Q > const &b, vec< L, T, Q > const &z, vec< L, U, Q > const &c)
| Maximum comparison between 3 variables and returns 3 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMax (vec< L, T, Q > const &x, vec< L, U, Q > const &a, vec< L, T, Q > const &y, vec< L, U, Q > const &b, vec< L, T, Q > const &z, vec< L, U, Q > const &c, vec< L, T, Q > const &w, vec< L, U, Q > const &d)
| Maximum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (T x, const vec< L, U, Q > &a, T y, const vec< L, U, Q > &b)
| Minimum comparison between 2 variables and returns 2 associated variable values. More...
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMin (T x, U a, T y, U b)
| Minimum comparison between 2 variables and returns 2 associated variable values. More...
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMin (T x, U a, T y, U b, T z, U c)
| Minimum comparison between 3 variables and returns 3 associated variable values. More...
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMin (T x, U a, T y, U b, T z, U c, T w, U d)
| Minimum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (T x, vec< L, U, Q > const &a, T y, vec< L, U, Q > const &b, T z, vec< L, U, Q > const &c, T w, vec< L, U, Q > const &d)
| Minimum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (vec< L, T, Q > const &x, U a, vec< L, T, Q > const &y, U b)
| Minimum comparison between 2 variables and returns 2 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (vec< L, T, Q > const &x, U a, vec< L, T, Q > const &y, U b, vec< L, T, Q > const &z, U c, vec< L, T, Q > const &w, U d)
| Minimum comparison between 4 variables and returns 4 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (vec< L, T, Q > const &x, vec< L, U, Q > const &a, vec< L, T, Q > const &y, vec< L, U, Q > const &b)
| Minimum comparison between 2 variables and returns 2 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (vec< L, T, Q > const &x, vec< L, U, Q > const &a, vec< L, T, Q > const &y, vec< L, U, Q > const &b, vec< L, T, Q > const &z, vec< L, U, Q > const &c)
| Minimum comparison between 3 variables and returns 3 associated variable values. More...
template<length_t L, typename T , typename U , qualifier Q>
GLM_FUNC_DECL vec< L, U, Q > | associatedMin (vec< L, T, Q > const &x, vec< L, U, Q > const &a, vec< L, T, Q > const &y, vec< L, U, Q > const &b, vec< L, T, Q > const &z, vec< L, U, Q > const &c, vec< L, T, Q > const &w, vec< L, U, Q > const &d)
| Minimum comparison between 4 variables and returns 4 associated variable values. More...

## Detailed Description

Min and max functions that return associated values not the compared ones.

Include <glm/gtx/associated_min_max.hpp> to use the features of this extension.

## Function Documentation

## ◆ associatedMax() [1/12]

GLM_FUNC_DECL U glm::associatedMax | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [2/12]

GLM_FUNC_DECL U glm::associatedMax | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [3/12]

GLM_FUNC_DECL U glm::associatedMax | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c,
|  | T | w,
|  | U | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [4/12]

GLM_FUNC_DECL vec<L, T, Q> glm::associatedMax | ( | T | x,
|  | vec< L, U, Q > const & | a,
|  | T | y,
|  | vec< L, U, Q > const & | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [5/12]

GLM_FUNC_DECL vec<L, T, Q> glm::associatedMax | ( | T | x,
|  | vec< L, U, Q > const & | a,
|  | T | y,
|  | vec< L, U, Q > const & | b,
|  | T | z,
|  | vec< L, U, Q > const & | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [6/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | T | x,
|  | vec< L, U, Q > const & | a,
|  | T | y,
|  | vec< L, U, Q > const & | b,
|  | T | z,
|  | vec< L, U, Q > const & | c,
|  | T | w,
|  | vec< L, U, Q > const & | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [7/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | vec< L, T, Q > const & | x,
|  | U | a,
|  | vec< L, T, Q > const & | y,
|  | U | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [8/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | vec< L, T, Q > const & | x,
|  | U | a,
|  | vec< L, T, Q > const & | y,
|  | U | b,
|  | vec< L, T, Q > const & | z,
|  | U | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [9/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | vec< L, T, Q > const & | x,
|  | U | a,
|  | vec< L, T, Q > const & | y,
|  | U | b,
|  | vec< L, T, Q > const & | z,
|  | U | c,
|  | vec< L, T, Q > const & | w,
|  | U | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [10/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | vec< L, T, Q > const & | x,
|  | vec< L, U, Q > const & | a,
|  | vec< L, T, Q > const & | y,
|  | vec< L, U, Q > const & | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [11/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | vec< L, T, Q > const & | x,
|  | vec< L, U, Q > const & | a,
|  | vec< L, T, Q > const & | y,
|  | vec< L, U, Q > const & | b,
|  | vec< L, T, Q > const & | z,
|  | vec< L, U, Q > const & | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMax() [12/12]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMax | ( | vec< L, T, Q > const & | x,
|  | vec< L, U, Q > const & | a,
|  | vec< L, T, Q > const & | y,
|  | vec< L, U, Q > const & | b,
|  | vec< L, T, Q > const & | z,
|  | vec< L, U, Q > const & | c,
|  | vec< L, T, Q > const & | w,
|  | vec< L, U, Q > const & | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [1/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | T | x,
|  | const vec< L, U, Q > & | a,
|  | T | y,
|  | const vec< L, U, Q > & | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [2/10]

GLM_FUNC_DECL U glm::associatedMin | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [3/10]

GLM_FUNC_DECL U glm::associatedMin | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c
| ) |  |

Minimum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [4/10]

GLM_FUNC_DECL U glm::associatedMin | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c,
|  | T | w,
|  | U | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [5/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | T | x,
|  | vec< L, U, Q > const & | a,
|  | T | y,
|  | vec< L, U, Q > const & | b,
|  | T | z,
|  | vec< L, U, Q > const & | c,
|  | T | w,
|  | vec< L, U, Q > const & | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [6/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | vec< L, T, Q > const & | x,
|  | U | a,
|  | vec< L, T, Q > const & | y,
|  | U | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [7/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | vec< L, T, Q > const & | x,
|  | U | a,
|  | vec< L, T, Q > const & | y,
|  | U | b,
|  | vec< L, T, Q > const & | z,
|  | U | c,
|  | vec< L, T, Q > const & | w,
|  | U | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [8/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | vec< L, T, Q > const & | x,
|  | vec< L, U, Q > const & | a,
|  | vec< L, T, Q > const & | y,
|  | vec< L, U, Q > const & | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [9/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | vec< L, T, Q > const & | x,
|  | vec< L, U, Q > const & | a,
|  | vec< L, T, Q > const & | y,
|  | vec< L, U, Q > const & | b,
|  | vec< L, T, Q > const & | z,
|  | vec< L, U, Q > const & | c
| ) |  |

Minimum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

## ◆ associatedMin() [10/10]

GLM_FUNC_DECL vec<L, U, Q> glm::associatedMin | ( | vec< L, T, Q > const & | x,
|  | vec< L, U, Q > const & | a,
|  | vec< L, T, Q > const & | y,
|  | vec< L, U, Q > const & | b,
|  | vec< L, T, Q > const & | z,
|  | vec< L, U, Q > const & | c,
|  | vec< L, T, Q > const & | w,
|  | vec< L, U, Q > const & | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max